> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Beneficiaries

> List all registered payout beneficiaries



## OpenAPI

````yaml get /v1/beneficiaries
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/beneficiaries:
    get:
      summary: Get list of beneficiaries
      description: Get list of beneficiaries
      operationId: get-all-beneficiary
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: query
          in: query
          description: Search by holder name / nickname
          schema:
            type: string
        - name: per_page
          in: query
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: 9eb3d3ff-3fb0-450e-bb61-7c0753974398
                        status: approved
                        country: sg
                        currency: sgd
                        transfer_method: bank_transfer
                        transfer_type: local
                        nickname: Test QA
                        remark: Test QA
                        holder_name: Test QA
                        holder_type: individual
                        bank_branch_code: '001'
                        account_number: '173737377'
                        bank_name: AMERICAN EXPRESS BANK LTD
                        bank_id: AEIBSGSXXXX[7454]
                        email: test@gmail.com
                        bank_swift_code: AEIBSGSXXXX
                        is_favourite: true
                        created_by:
                          id: 98566f58-1c76-4b8b-8f75-d20bba2bc7f8
                          display_name: TestingSG
                          first_name: QA
                          last_name: SG
                        created_at: '2025-04-18T12:52:10+08:00'
                        updated_at: '2025-04-18T12:52:10+08:00'
                        deleted_at: null
                    links:
                      first: https://api.sandbox.hit-pay.com/v1/beneficiaries?page=1
                      last: https://api.sandbox.hit-pay.com/v1/beneficiaries?page=23
                      prev: null
                      next: https://api.sandbox.hit-pay.com/v1/beneficiaries?page=2
                    meta:
                      current_page: 1
                      from: 1
                      last_page: 23
                      links:
                        - url: null
                          label: '&larr; Previous'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=1
                          label: '1'
                          active: true
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=2
                          label: '2'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=3
                          label: '3'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=4
                          label: '4'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=5
                          label: '5'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=6
                          label: '6'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=7
                          label: '7'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=8
                          label: '8'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=9
                          label: '9'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=10
                          label: '10'
                          active: false
                        - url: null
                          label: ...
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=22
                          label: '22'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=23
                          label: '23'
                          active: false
                        - url: >-
                            https://api.sandbox.hit-pay.com/v1/beneficiaries?page=2
                          label: Next &rarr;
                          active: false
                      path: https://api.sandbox.hit-pay.com/v1/beneficiaries
                      per_page: 10
                      to: 1
                      total: 23
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        status:
                          type: string
                        country:
                          type: string
                        currency:
                          type: string
                        transfer_method:
                          type: string
                        transfer_type:
                          type: string
                        nickname:
                          type: string
                        remark:
                          type:
                            - string
                            - 'null'
                        holder_name:
                          type: string
                        holder_type:
                          type: string
                        bank_branch_code:
                          type: string
                        account_number:
                          type: string
                        bank_name:
                          type: string
                        bank_id:
                          type: string
                        email:
                          type: string
                        bank_swift_code:
                          type: string
                        is_favourite:
                          type: boolean
                        created_by:
                          type: object
                          properties:
                            id:
                              type: string
                            display_name:
                              type: string
                            first_name:
                              type: string
                            last_name:
                              type: string
                          required:
                            - id
                            - display_name
                            - first_name
                            - last_name
                        created_at:
                          type: string
                        updated_at:
                          type: string
                        deleted_at:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - status
                        - country
                        - currency
                        - transfer_method
                        - transfer_type
                        - nickname
                        - remark
                        - holder_name
                        - holder_type
                        - bank_branch_code
                        - account_number
                        - bank_name
                        - bank_id
                        - email
                        - bank_swift_code
                        - is_favourite
                        - created_by
                        - created_at
                        - updated_at
                        - deleted_at
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev: {}
                      next:
                        type: string
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: number
                      from:
                        type: number
                      last_page:
                        type: number
                      links:
                        type: array
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - label
                            - active
                      path:
                        type: string
                      per_page:
                        type: number
                      to:
                        type: number
                      total:
                        type: number
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
      deprecated: false

````